Package org.linphone.core

# Interface PresenceActivity

public interface PresenceActivity
Presence activity type holding information about a presence activity.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`PresenceActivity.Type`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the description of a presence activity.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`PresenceActivity.Type`
`getType()`
Gets the activity type of a presence activity.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`int`
`setDescription(String description)`
Sets the description of a presence activity.
`int`
`setType(PresenceActivity.Type acttype)`
Sets the type of activity of a presence activity.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`
Gets the string representation of a presence activity.

## Method Details

### getDescription

String getDescription()
Gets the description of a presence activity.

Returns:
  A pointer to the description string of the presence activity, or null
  if no description is specified.

### setDescription

int setDescription(String description)
Sets the description of a presence activity.

Parameters:
  `description` - An additional description of the activity. Can be null if no
  additional description is to be added.
Returns:
  0 if successful, a value invalid input: '<' 0 in case of error.

### getType

PresenceActivity.Type getType()
Gets the activity type of a presence activity.

Returns:
  The `PresenceActivity.Type` of the activity.

### setType

int setType(PresenceActivity.Type acttype)
Sets the type of activity of a presence activity.

Parameters:
  `acttype` - The `PresenceActivity.Type` to set for the activity.
Returns:
  0 if successful, a value invalid input: '<' 0 in case of error.

### toString

String toString()
Gets the string representation of a presence activity.

Overrides:
  `toString` in class `Object`
Returns:
  A pointer a dynamically allocated string representing the given
  activity.
  The returned string is to be freed by calling ms_free().

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long